Name:		csound-plugins
Version:	1.0.2
Release:	%mkrel 8
Summary:	Extra opcodes for Csound
License:	LGPLv2+
Group:		Sound/Utilities
URL:		https://csound.github.io/
Source0:	https://github.com/csound/plugins/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		csound-plugins-fix-plugindir.patch
Patch1:		csound-plugins-cmake-4.0.patch

BuildRequires:	cmake
BuildRequires:	csound-devel
BuildRequires:	faust-devel
BuildRequires:	fltk-devel
#BuildRequires:	getfem-devel
BuildRequires:	hdf5-devel
BuildRequires:	lame-devel
BuildRequires:	stk-devel
BuildRequires:	wiiuse-devel
BuildRequires:	pkgconfig(eigen3)
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libwebsockets)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(zlib)

Requires:	csound

%description
Plugins collection for Csound which were originally in the
main repository.

%prep
%autosetup -p1 -n plugins-%{version}

%build
export CFLAGS="%{optflags} -Wno-incompatible-pointer-types"
%cmake \
%ifarch x86_64 aarch64
	-DUSE_LIB64=ON \
	-DDEFAULT_STK_RAWWAVE_PATH=%{_datadir}/stk/rawwaves \
%endif
	-DBUILD_LINEAR_ALGEBRA_OPCODES=OFF
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc README.md
%{_libdir}/csound/plugins-6.0/*.so


%changelog
* Fri Jun 27 2025 daviddavid <daviddavid> 1.0.2-8.mga10
+ Revision: 2203007
- fix build with cmake 4.0

* Wed Mar 05 2025 daviddavid <daviddavid> 1.0.2-7.mga10
+ Revision: 2160946
- rebuild for python 3.13

* Tue Sep 10 2024 daviddavid <daviddavid> 1.0.2-6.mga10
+ Revision: 2094980
- disable linear_algebra support for now
- rebuild for new hdf5 1.14.4.3

* Thu Apr 04 2024 daviddavid <daviddavid> 1.0.2-4.mga10
+ Revision: 2054304
- hack around for GCC14 disabling '-Wincompatible-pointer-types'

* Wed Dec 27 2023 daviddavid <daviddavid> 1.0.2-3.mga10
+ Revision: 2022532
- rebuild for py3.12

* Mon May 22 2023 daviddavid <daviddavid> 1.0.2-2.mga9
+ Revision: 1957720
- enable faust support
- set DEFAULT_STK_RAWWAVE_PATH when building

* Sun May 21 2023 daviddavid <daviddavid> 1.0.2-1.mga9
+ Revision: 1957618
- initial package csound-plugins

